# Support

The issue tracker is reserved for reporting bugs and we don't provide support through it. Support tickets opened via the issue tracker will be closed.

If you require support there are two types of support available: community support and commercial support.

## Community support

Community support is provided by members of our open source community and is provided out of their good will. Please be kind, polite and corteous to those that try to help you; you may wish to refer to our [code of conduct](https://docs.silverstripe.org/en/4/contributing/code_of_conduct/).

You can find support via:

- [Stack Overflow (remember to tag as silverstripe)](http://stackoverflow.com/questions/tagged/silverstripe)
- [Slack](https://silverstripe.org/slack)
- [Forum](https://forum.silverstripe.org)

We recommend choosing the support forum based on the nature of your question:

### Do you have some code you've tried that isn't working?

Your question will likely be best on Stack Overflow. You can add some detail about what you're trying to achieve and include some code that you have tried. Stack Overflow is a good forum for answers to be detailed and become available in the future for other developers in your position. Remember to [follow the guidance on Stack Overflow](https://stackoverflow.com/help/how-to-ask) for asking good questions!

### Are you looking for an answer to a quick question or a recommendation for an approach or suitable SilverStripe module?

The SilverStripe community Slack has a wealth of active SilverStripe developers active daily. Remember that those who contribute usually do so in their free time so be considerate when messaging people directly. Consider if your issue might benefit another developer before choosing Slack. An alternate forum like StackOverflow may help other developers that are experiencing the same issue find a resolution.

### Are you looking for detailed feedback on a suggestion or module you have developed?

Try starting a discussion in the community forum. Developers and users alike use the forum to keep up to date with the SilverStripe community and contributions that people are making or discussing.

### More information

For more information please see our [community page](http://www.silverstripe.org/community/#introduction).

## Commercial support

If you require a higher level of support with an SLA, you may want to consider commercial support provided by SilverStripe Ltd, a Professional Partner or another SilverStripe agency.

Please see the [SilverStripe Developer Directory](https://www.silverstripe.org/community/developer-and-partner-directory/) for more information.
